#include <QtGui>

#include "typedefs.h"
#include "RegistrationView.h"
#include "ViewObserver.h"

/**
 *	$Id$
 *  $Lastlog$
 *
 * \brief This class contains the settings concerning the checkerboard view
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@cs.tum.edu
 * \ingroup PetSpectFusion
 * \version 1.31
 * \date 26.11.2009
 *
 * \par License:
 * Copyright (c) 2008 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class CheckerboardViewDialog : public QDialog
{
	Q_OBJECT
	
	public:
		CheckerboardViewDialog(QWidget *parent = 0, QRegistrationView* registrationView = 0);
	
		QDoubleSpinBox* checkerXBox;
		QDoubleSpinBox* checkerYBox;
		QDoubleSpinBox* checkerZBox;
		QRadioButton* fixedFirstButton;
		QRadioButton* movingFirstButton;
	
		QPushButton *applyButton;
		QPushButton *revertButton;
	
	private:
		QRegistrationView* regView;
	
	private slots:
		void apply();
		void revert();
	
};
