#ifndef IMAGEIO_H
#define IMAGEIO_H

#include "typedefs.h"

OutputImageType::Pointer getAbsoluteDifference(InternalImageType::Pointer original, InternalImageType::Pointer registered);

OutputImageType::Pointer getCheckerBoardImage(InternalImageType::Pointer original, InternalImageType::Pointer registered);

InternalImageType::Pointer loadMhdImage(const char* filename);

void writeRegisteredImage(const char* fileName, InternalImageType::Pointer fixedImage, InternalImageType::Pointer movingImage,
							ParametersType transformParams);

void writeDicomImage(const char* dirName, OutputImageType::Pointer image);

void writeOutputImageMhd(const char* fileName, OutputImageType::Pointer image);

void readTransformFile(std::string fileName, TransformType::Pointer transform);

void writeTransformFile(std::string fileName, TransformType::Pointer transform);

#endif