#include <QtGui>

#include "typedefs.h"
#include "PetSpectFusionViewer.h"

/**
 * \brief This class contains the advanced registration settings dialog
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@cs.tum.edu
 * \ingroup PetSpectFusion
 * \version 1.0
 * \date 16.12.2007
 *
 * \par License:
 * Copyright (c) 2008,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 * <br>
 * <br>
 * All rights reserved.
 * <br>
 * <br>
 * See <a href="COPYRIGHT.txt">COPYRIGHT.txt</a> for details.
 * <br>
 * <br>
 * This software is distributed WITHOUT ANY WARRANTY; without even 
 * <br>
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * <br>
 * PURPOSE.  See the <a href="COPYRIGHT.txt">COPYRIGHT.txt</a> notice
 * for more information.
 *
 */
class RegSettingsDialog : public QDialog
{
	Q_OBJECT
			
	public:
		RegSettingsDialog(QPetSpectFusionViewer *parent = 0);
		
		QSpinBox *binsBox;
		QDoubleSpinBox *minSizeBox;
		QDoubleSpinBox *maxSizeBox;
		QDoubleSpinBox *samplesBox;
		QLineEdit *logNameBox;
		QLineEdit *plotsNameBox;
		QCheckBox *plotsBox;
		QCheckBox *loggingBox;
		
		QDoubleSpinBox *xRotBox;
		QDoubleSpinBox *yRotBox;
		QDoubleSpinBox *zRotBox;
		QDoubleSpinBox *xTransBox;
		QDoubleSpinBox *yTransBox;
		QDoubleSpinBox *zTransBox;
	
		QPushButton *loggingButton;
		QPushButton *plotsButton;
		
		QRadioButton* regularRegistrationButton;
		QRadioButton* voiRegistrationButton;
	
		QSpinBox* indexX;
		QSpinBox* indexY;
		QSpinBox* indexZ;
		QSpinBox* rangeX;
		QSpinBox* rangeY;
		QSpinBox* rangeZ;
	
		QPushButton* applyButton;
		QPushButton* revertButton;
		
	private slots:
		void revert();
		void chooseLogFile();
		void choosePlotsFile();
		
		
		
};
