#!/bin/bash
#script for building PetSpectFusion from hudson

cd "$WORKSPACE"

#remove old build and binary directories
if [ -e "build" ]; then
   rm -r ./build
fi

if [ -e "bin" ]; then
   rm -r ./bin
fi

mkdir build
mkdir bin

#configure the build
cd build
cmake ../PetSpectFusion -G"Unix Makefiles" -D"CMAKE_BUILD_TYPE:STRING=RelWithDebInfo" -D"PSF_BUILD_TESTING:BOOL=ON" -D"CPPUNIT_LIBRARY:STRING=/usr/lib/libcppunit.a" -D"CPPUNIT_INCLUDE_PATH:PATH=/usr/include" -D"ITK_DIR:PATH=/data/usr/lib/InsightToolkit"
if [ $? -ne 0 ]; then
	exit $?
fi

#compile
make

if [ $? -ne 0 ]; then
	exit $?
fi

#run cppunit tests
./petspectfusionTest

if [ $? -ne 0 ]; then
	exit $?
fi

#tests passed, package the binary
tar cvjf PetSpectFusion-Mac-$BUILD_NUMBER.tar.bz2 PetSpectFusion.app

mv PetSpectFusion-Mac-$BUILD_NUMBER.tar.bz2 ../bin

exit $?

