#!/bin/bash
#script for generating sloc information on windows under cygwin

#set the paths correctly
source /etc/profile
source .bash_profile

export "PATH=$PATH:/cygdrive/c/Utilities/sloc/bin"

export WORKSPACE_CYGWIN=`cygpath -u "$WORKSPACE"`

cd "$WORKSPACE_CYGWIN"

echo "cygwin workspace directory"
pwd

echo "generating sloc information"
if [ -e "sloccount.sc" ]; then
  rm sloccount.sc
fi

sloccount --wide --details PetSpectFusion > sloccount.sc_cygwin

echo "Converting Cygwin to windows paths"

sed -e '\_/cygdrive/c_ s|\/|\\|g' -e 's/\\cygdrive\\c/C:/g'  sloccount.sc_cygwin > sloccount.sc

echo "Successfully generated sloc information"
