//
//  $Id$  
//  $Lastlog$
//
//  GuiAutomaticRegTest.cpp
//  petspectfusionTest
//
//	Created 29/10/2009, This is a test case that verifies the automatic registration exits immediately after user closes the app.
//  Copyright (c) 2007 - 2009 Brian Jensen. All rights reserved.
//

#include <fstream>
#include <iostream>
#include <sstream>

#include <QtGui>
#include <QSignalSpy>

#include "GuiAutomaticRegTest.h"
#include <cppunit/extensions/HelperMacros.h>
#include "PetSpectFusionApp.h"
#include "PetSpectFusionViewer.h"

using namespace std;
using namespace PetSpectFusionApp;

void GuiAutomaticRegTest::testAutomaticRegistration()
{		
	QVERIFY(sourceLocation != NULL);
	QVERIFY(fixedFileName.size() > 0);
	QVERIFY(movingFileName.size() > 0);
	
	QPetSpectFusionViewer viewer(fixedFileName, movingFileName, outputFileName, bins, 
								 sampleRate, minStepSize, maxStepSize, maxIterations, optimizerScales, zoomFactor);
	
	viewer.doAutomaticReg();
	
	QCOMPARE(fixedFileName, viewer.getFixedFileName());
	QCOMPARE(movingFileName, viewer.getMovingFileName());
	QCOMPARE(outputFileName, viewer.getOutputFileName());
	
	QTest::qWait(500);
	
	QVERIFY(viewer.isRegistrationRunning() == true);
	
	for(int i = 0; i < 60; i++)
		if(viewer.isRegistrationRunning() == false)
			break;
		else 
			QTest::qWait(1000);
		
	QVERIFY(viewer.isRegistrationRunning() == false);
	
	QSignalSpy spy(qApp, SIGNAL(lastWindowClosed()));	

	QTimer::singleShot(2500, &viewer, SLOT(close()));
	QTimer::singleShot(20000, qApp, SLOT(quit())); // in case the test fails
	qApp->exec();
	
	QCOMPARE(1, spy.count());
}