//
//  $Id$  
//  $Lastlog$
//
//  GuiTest.cpp
//  petspectfusionTest
//
//	Created 28/10/2009, GUI unit test cases.
//  Copyright (c) 2007 - 2009 Brian Jensen. All rights reserved.
//

#include <QtGui>
#include <QtTest/qtest.h>

#include "GuiAutomaticRegTest.h"
#include "GuiIntensityWindowTest.h"
#include "GuiMainTest.h"
#include "GuiRegistrationResultsTest.h"
#include "GuiVOIRegistrationTest.h"
#include "GuiWindowRegionTest.h"
#include "PetSpectFusionViewer.h"

using namespace std;

// Add the core test suite to the test registry
CPPUNIT_TEST_SUITE_REGISTRATION( GuiTest );

//swap
void GuiTest::setUp()
{
	sourceLocation = CMAKE_SOURCE_DIR;
}

void GuiTest::tearDown()
{
	
}

void GuiTest::testAutomaticRegistration()
{
	GuiAutomaticRegTest* regTest = new GuiAutomaticRegTest;
	CPPUNIT_ASSERT_EQUAL(QTest::qExec(regTest), 0);
	delete regTest;
}

void GuiTest::testIntensityWindowing()
{
	GuiIntensityWindowTest* windowTest = new GuiIntensityWindowTest;
	CPPUNIT_ASSERT_EQUAL(QTest::qExec(windowTest), 0);
	delete windowTest;
}

void GuiTest::testRegistrationResults()
{
	GuiRegistrationResultsTest* resultsTest = new GuiRegistrationResultsTest;
	CPPUNIT_ASSERT_EQUAL(QTest::qExec(resultsTest), 0);
	delete resultsTest;
}

void GuiTest::testRegionWindowing()
{
	GuiWindowRegionTest* regionTest = new GuiWindowRegionTest;
	CPPUNIT_ASSERT_EQUAL(QTest::qExec(regionTest), 0);
	delete regionTest;
}

void GuiTest::testVOIRegistration()
{
	GuiVOIRegistrationTest* voiTest = new GuiVOIRegistrationTest;
	CPPUNIT_ASSERT_EQUAL(QTest::qExec(voiTest), 0);
	delete voiTest;
}



