#ifndef GUITEST_H
#define GUITEST_H

#include <cppunit/extensions/HelperMacros.h>
#include "GuiBaseTest.h"

/**
 *	$Id$
 *	$Lastlog$
 *
 * \brief The test fixture for all the core unit test cases
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 27.10.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( GuiTest );
	CPPUNIT_TEST( testAutomaticRegistration );
	CPPUNIT_TEST( testIntensityWindowing );
	CPPUNIT_TEST( testRegistrationResults );
	CPPUNIT_TEST( testRegionWindowing );
	CPPUNIT_TEST( testVOIRegistration );
	CPPUNIT_TEST_SUITE_END();
	
public:
	void setUp();
	void tearDown();
	
	void testAutomaticRegistration();
	void testIntensityWindowing();
	void testRegistrationResults();
	void testRegionWindowing();
	void testVOIRegistration();
	
	const char* sourceLocation;
	
};

#endif  // GUITEST_H
