#ifndef LOGTEST_H
#define LOGTEST_H

#include <cppunit/extensions/HelperMacros.h>

/**
 *	$Id$
 *	$Lastlog$
 *
 * \brief The test fixture for all the log unit test cases
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 27.10.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class LogTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( LogTest );
	CPPUNIT_TEST( testLogMessage );
	CPPUNIT_TEST( testLogError );
	CPPUNIT_TEST( testLogFile );
	CPPUNIT_TEST_SUITE_END();
	
public:
	void setUp();
	void tearDown();
	
	void testLogMessage();
	void testLogError();
	void testLogFile();
	
};

#endif  // LOGTEST_H
